/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.monthnumberexample;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Locale;

/**
 *
 * @author omozegieaziegbe
 */
public class MonthNumberExample {

    public static int getMonthNumber(String monthName) {
        try {
            // Create a SimpleDateFormat instance with the month name pattern
            SimpleDateFormat sdf = new SimpleDateFormat("MMMM", Locale.ENGLISH);
            Calendar cal = Calendar.getInstance();
            // Parse the month name to a Date object
            cal.setTime(sdf.parse(monthName));
            // Return the month number (1-based, so add 1)
            return cal.get(Calendar.MONTH) + 1;
        } catch (ParseException e) {
            throw new IllegalArgumentException("Invalid month name: " + monthName, e);
        }
    }

    public static void main(String[] args) {
        System.out.println("April -> " + getMonthNumber("April"));  
        System.out.println("June -> " + getMonthNumber("June"));    
    }
}
