/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.monthnumberjava8;

import java.time.Month;
import java.util.Locale;
import java.time.format.DateTimeFormatter;
import java.time.temporal.ChronoField;

/**
 *
 * @author omozegieaziegbe
 */
public class MonthNumberJava8 {

    public static int getMonthNumber(String monthName) {
        try {
            // Get the month number using the Month enum
            Month month = Month.valueOf(monthName.toUpperCase(Locale.ENGLISH));
            return month.getValue();  // Month value is 1-based
        } catch (IllegalArgumentException e) {
            throw new IllegalArgumentException("Invalid month name: " + monthName, e);
        }
    }
    
    public static int getMonthNumberUsingChronoField(String monthName) {
        try {
            // Use DateTimeFormatter to parse the abbreviated month name with the "MMM" pattern
            DateTimeFormatter formatter = DateTimeFormatter.ofPattern("MMM", Locale.ENGLISH);
            // Get the month number directly using ChronoField
            return formatter.parse(monthName).get(ChronoField.MONTH_OF_YEAR);
        } catch (Exception e) {
            throw new IllegalArgumentException("Invalid month name: " + monthName, e);
        }
    }

    public static void main(String[] args) {
        System.out.println("January -> " + getMonthNumber("January"));  
        System.out.println("August -> " + getMonthNumber("August"));
        System.out.println("Jan -> " + getMonthNumberUsingChronoField("Jan"));  
        System.out.println("Aug -> " + getMonthNumberUsingChronoField("Aug"));  
    }
}
