/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.monthnumberjodatime;

import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

/**
 *
 * @author omozegieaziegbe
 */
public class MonthNumberJodaTime {

    public static int getMonthNumber(String monthName) {
        try {
            // Create a DateTimeFormatter with the month name pattern
            DateTimeFormatter fmt = DateTimeFormat.forPattern("MMMM");
            // Parse the month name to a DateTime object
            DateTime dt = fmt.parseDateTime(monthName);
            // Return the month number (1-based)
            return dt.getMonthOfYear();
        } catch (IllegalArgumentException e) {
            throw new IllegalArgumentException("Invalid month name: " + monthName, e);
        }
    }

    public static void main(String[] args) {
        System.out.println("July -> " + getMonthNumber("July"));
        System.out.println("September -> " + getMonthNumber("September"));
    }
}
